net.sf.jasperreports.engine.fonts

## Class FontUtil

- java.lang.Object
- - net.sf.jasperreports.engine.fonts.FontUtil

-     public final class FontUtil
      extends java.lang.Object

  Version:
    $Id: FontUtil.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkAwtFont(java.lang.String name, boolean ignoreMissingFont)`
    `static void` | `copyNonNullOwnProperties(JRFont srcFont, JRFont destFont)`
    `java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object>` | `getAttributesWithoutAwtFont(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, JRFont font)`
    `java.awt.Font` | `getAwtFont(JRFont font, java.util.Locale locale)` Returns a java.awt.Font instance by converting a JRFont instance.
    `java.awt.Font` | `getAwtFontFromBundles(java.lang.String name, int style, float size, java.util.Locale locale, boolean ignoreMissingFont)`
    `java.awt.Font` | `getAwtFontFromBundles(java.lang.String name, int style, int size, java.util.Locale locale, boolean ignoreMissingFont)` Deprecated. Replaced by `getAwtFontFromBundles(String, int, float, Locale, boolean)`.
    `java.util.Collection<java.lang.String>` | `getFontFamilyNames()` Returns the font family names available through extensions, in alphabetical order.
    `FontInfo` | `getFontInfo(java.lang.String name, java.util.Locale locale)` Returns font information containing the font family, font face and font style.
    `static FontUtil` | `getInstance(JasperReportsContext jasperReportsContext)`
    `void` | `resetThreadMissingFontsCache()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static FontUtil getInstance(JasperReportsContext jasperReportsContext)

    - #### copyNonNullOwnProperties

          public static void copyNonNullOwnProperties(JRFont srcFont,
                                      JRFont destFont)

    - #### getAttributesWithoutAwtFont

          public java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> getAttributesWithoutAwtFont(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                                                                                                    JRFont font)

    - #### getFontInfo

          public FontInfo getFontInfo(java.lang.String name,
                             java.util.Locale locale)

      Returns font information containing the font family, font face and font style.
      Parameters:
        `name` - the font family or font face name
        `locale` - the locale
      Returns:
        a font info object

    - #### getFontFamilyNames

          public java.util.Collection<java.lang.String> getFontFamilyNames()

      Returns the font family names available through extensions, in alphabetical order.

    - #### getAwtFontFromBundles

          public java.awt.Font getAwtFontFromBundles(java.lang.String name,
                                            int style,
                                            int size,
                                            java.util.Locale locale,
                                            boolean ignoreMissingFont)

      Deprecated. Replaced by `getAwtFontFromBundles(String, int, float, Locale, boolean)`.

    - #### getAwtFontFromBundles

          public java.awt.Font getAwtFontFromBundles(java.lang.String name,
                                            int style,
                                            float size,
                                            java.util.Locale locale,
                                            boolean ignoreMissingFont)

    - #### resetThreadMissingFontsCache

          public void resetThreadMissingFontsCache()

    - #### checkAwtFont

          public void checkAwtFont(java.lang.String name,
                          boolean ignoreMissingFont)

    - #### getAwtFont

          public java.awt.Font getAwtFont(JRFont font,
                                 java.util.Locale locale)

      Returns a java.awt.Font instance by converting a JRFont instance. Mostly used in combination with third-party visualization packages such as JFreeChart (for chart themes). Unless the font parameter is null, this method always returns a non-null AWT font, regardless whether it was found in the font extensions or not. This is because we do need a font to draw with and there is no point in raising a font missing exception here, as it is not JasperReports who does the drawing.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com